{% extends "templates/form.njk" %}
{% from "macros/hrt-details-para-with-list-item.njk" import hrtDetailsParagraphWithListItem %}
{% from "macros/hrt-form-heading-with-two-para.njk" import hrtFormHeadingWithTwoParagraph %}
{% from 'packages/components/radios/macro.njk' import radios %}
{% from 'packages/components/input/macro.njk' import input %}
{% from 'packages/components/details/macro.njk' import details %}

{% block formContent %}

  {% set legendHtml = hrtFormHeadingWithTwoParagraph({heading: heading, paragraphOne: paragraphOne}) %}
  
  {% set nhsNumberHtml %}
    {{ input({
      id: "nhs-number",
      inputmode: "numeric",
      name: "nhsNumber",
      errorMessage: errors | getErrorForField('nhsNumber'),
      value: claim.nhsNumber,
      autocomplete: "off",
      classes: "nhsuk-u-width-two-thirds",
      label: {
        text: nhsNumber
      }
    }) }}
  {% endset -%}

  {{ radios({
    id: "do-you-know-your-nhs-number",
    idPrefix: "do-you-know-your-nhs-number",
    name: "doYouKnowYourNhsNumber",
    value: claim.doYouKnowYourNhsNumber,
    fieldset: {
      legend: {
        isPageHeading: false,
        html: legendHtml
      }
    },
    hint: {
      text: hint,
      classes: "nhsuk-hint"
    },
    errorMessage: errors | getErrorForField('doYouKnowYourNhsNumber'),
    items: [
      {
        value: "yes",
        checked : claim.doYouKnowYourNhsNumber === "yes",
        text: yes,
        conditional: {
          "html": nhsNumberHtml
        }
      },
      {
        value: "no",
        checked : claim.doYouKnowYourNhsNumber === "no",
        text: no
      }
    ]
}) }}

{{ details({
  "text": detailsHeading,
  "HTML": hrtDetailsParagraphWithListItem({ detailsParagraphOne: detailsParagraphOne, detailsParagraphTwo: detailsParagraphTwo, detailsParagraphThree: detailsParagraphThree, detailsListItemOne: detailsListItemOne, detailsListItemTwo: detailsListItemTwo, detailsListItemThree: detailsListItemThree, detailsListItemFour: detailsListItemFour })
}) }}

{% endblock %}
